do  
   local oldModBlueprints = ModBlueprints
   function ModBlueprints(all_bps)
      oldModBlueprints(all_bps)
      local oldModBlueprints = nil
      for id,bp in all_bps.Unit do
         if bp.Economy.BuildCostEnergy then
            bp.Economy.BuildCostEnergy = 1
         end
         if bp.Economy.ProductionPerSecondMass then
            bp.Economy.ProductionPerSecondMass = 0
         end
         if bp.Economy.ProductionPerSecondEnergy then 
            bp.Economy.ProductionPerSecondEnergy = 10
         end
         if bp.Enhancements then
            for id,enh in bp.Enhancements do 
               if bp.Enhancements[id].BuildCostEnergy then
                  bp.Enhancements[id].BuildCostEnergy = 1
               end
               if bp.Enhancements[id].MaintenanceConsumptionPerSecondEnergy then
                  bp.Enhancements[id].MaintenanceConsumptionPerSecondEnergy = 0
               end
               if bp.Enhancements[id].BuildTime then
                  bp.Enhancements[id].BuildTime = 1
               end
               if enh == 'ResourceAllocation' then
                  bp.Enhancements[id].Slot = 'Bleh'
               elseif enh == 'LeftPod' then
                  bp.Enhancements[id].Slot = 'Bleh'
               end
            end
         end
         local enh = nil
         if bp.Categories then
            for ik,Category in bp.Categories do 
               if Category == "SORTINTEL" then
                  table.insert(bp.Categories, "LABWARS")
                  bp.Economy.MaintenanceConsumptionPerSecondEnergy = 150
                  table.insert(bp.Categories, "BUILTBYCOMMANDER")
               elseif Category == "DEFENSE" then
                  table.insert(bp.Categories, "LABWARS")                              
               elseif Category == "COMMAND" then
                  table.insert(bp.Categories, "LABWARS")
                  bp.Economy.StorageMass = 1000
                  bp.Economy.MassProductionPerSecond = 0
                  bp.Economy.EnergyProductionPerSecond = 10
               elseif Category == "GATE" then
                  table.insert(bp.Categories, "LABWARS")
               elseif Category == "MASSSTORAGE" then
                  table.insert(bp.Categories, "LABWARS")
                  table.insert(bp.Categories, "BUILTBYCOMMANDER")
               elseif Category == "TACTICALMISSILEPLATFORM" then
                  table.insert(bp.Categories, "LABWARS")
               elseif Category == "ANTIMISSILE" then
                  table.removeByValue(bp.Categories, "BUILTBYTIER2COMMANDER")
                  table.removeByValue(bp.Categories, "BUILTBYTIER3COMMANDER")
               end
            end
         end
      end
   end
end
